Subject: Rubber Tree

From: [email-masked] (Sandi Mangold)
Date: Tue, 6 Jun 1995 08:57:22

I received a rubber tree as a gift around Christmas time.  It looked great 
until about three months ago.  The leaves were constantly falling off.   I 
hardly watered it and kept it in limited sunlight, as the directions said to 
do.

I took it back to the florist and ask them what I should do.  They told me to 
replant it in a larger pot and give it more fertilizer and cut back the 
stems to start growth again.  I even went out and bought liquid fertilizer.

My tree is still not growing and the leaves are still falling off.

What am I doing wrong???? Please help.  

Sandi